import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Botcan{
    constructor () {
        this.data = {
						strinf:"",			//  Narrative		.strinf
						bodgrp:{
							rec:{
								matpertyp:"",			//  Days/Months or Years for Maturity Period		.bodgrp.rec.matpertyp
								ownref:"",			//  Reference		.bodgrp.rec.ownref
								nam:"",			//  Name		.bodgrp.rec.nam
								rcvdat:"",			//  Order Date		.bodgrp.rec.rcvdat
								predat:"",			//  Presentation Date		.bodgrp.rec.predat
								matpercnt:"",			//  Tenor Specification		.bodgrp.rec.matpercnt
								matperbeg:"",			//  Start of Maturity Period MATBEG		.bodgrp.rec.matperbeg
								doctypcod:"",			//  Collection Condition		.bodgrp.rec.doctypcod
								docsta:"",			//  Document Set Status		.bodgrp.rec.docsta
								matdat:"",			//  Maturity Date		.bodgrp.rec.matdat
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.bodgrp.cbs.max.cur
									amt:"",			//  Document Amount		.bodgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.bodgrp.cbs.opn1.cur
									amt:"",			//  Open Amount		.bodgrp.cbs.opn1.amt
								},
							},
							drr:{
								pts:new Pts().data,
							},
							dre:{
								pts:new Pts().data,
							},
							col:{
								pts:new Pts().data,
							},
						},
						botp0:{
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.botp0.recget.sdamod.dadsnd
									seainf:"",			//  		.botp0.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.botp0.matp.mattxtlab
							},
						},
						sndmsg:"",			//  Send Message		.sndmsg
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
								setgll:[]
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							setfog:{
								setfol:[]
							},
							setfeg:{
								setfel:[]
							},
							glemod:{
								gleshwstm: {}
							}
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						pageId: ""			// ctx的key
				}
    }
}