import Utils from "~/utils"

/**
* Infccd Check规则
*/
let checkObj = {
    "trnmod.cipmod.cskfzh"                      :null,
    "trnmod.cipmod.zjg1mc"                      :null,
    "trnmod.cipmod.fkrdz3"                      :null,
    "trnmod.trndoc.dtemod.dtetagm07"                      :null,
    "trnmod.cipmod.fkrdz4"                      :null,
    "trnmod.trndoc.dtemod.dtetagm08"                      :null,
    "trnmod.cipmod.fkrdz2"                      :null,
    "trnmod.cipmod.skkhdz"                      :null,
    "trnmod.trndoc.dtemod.dtetagm06"                      :null,
    "trnmod.cipmod.fkrdz7"                      :null,
    "trnmod.cipmod.fufeih"                      :null,
    "trnmod.cipmod.fkrdz5"                      :null,
    "trnmod.cipmod.fkrdz6"                      :null,
    "trnmod.cipmod.skrdz7"                      :null,
    "trnmod.cipmod.skrdz6"                      :null,
    "trnmod.cipmod.cfkrgj"                      :null,
    "infcon.ord.inr"                      :null,
    "trnmod.cipmod.skrdz3"                      :null,
    "trnmod.cipmod.skrdz2"                      :null,
    "trnmod.cipmod.skrdz5"                      :null,
    "trnmod.cipmod.skrdz4"                      :null,
    "trnmod.cipmod.feiyon"                      :null,
    "trnmod.cipmod.zjg2mc"                      :null,
    "trnmod.cipmod.fuyns3"                      :null,
    "trnmod.cipmod.fuyns4"                      :null,
    "trnmod.cipmod.fuyns1"                      :null,
    "trnmod.cipmod.fuyns2"                      :null,
    "trnmod.cipmod.feecod"                      :null,
    "trnmod.cipmod.csfdz1"                      :null,
    "trnmod.cipmod.cffdz7"                      :null,
    "trnmod.cipmod.skkhhh"                      :null,
    "trnmod.cipmod.feiyn2"                      :null,
    "trnmod.cipmod.cffdz1"                      :null,
    "trnmod.cipmod.cffdz2"                      :null,
    "trnmod.cipmod.cffdz3"                      :null,
    "trnmod.cipmod.cffdz4"                      :null,
    "trnmod.cipmod.cffdz5"                      :null,
    "trnmod.cipmod.cffdz6"                      :null,
    "trnmod.cipmod.skkhhm"                      :null,
    "infcon.ord.extkey"                      :null,
    "trnmod.cipmod.pyebchnam"                      :null,
    "trnmod.cipmod.fkrkhh"                      :null,
    "trnmod.cipmod.fkhkhh"                      :null,
    "trnmod.cipmod.cfkfzh"                      :null,
    "trnmod.cipmod.recsehbchnam"                      :null,
    "trnmod.cipmod.fkhdzh"                      :null,
    "trnmod.cipmod.staonebchnam"                      :null,
    "trnmod.cipmod.pyebchkey"                      :null,
    "trnmod.cipmod.cskzjh"                      :null,
    "trnmod.cipmod.cskrzj"                      :null,
    "trnmod.cipmod.zjg2hh"                      :null,
    "trnmod.cipmod.stasehbch"                      :null,
    "infcon.seaamtto"                      :null,
    "infcon.ordp0.recget.sdamod.dadsnd"                      :null,
    "trnmod.cipmod.fkkhmc"                      :null,
    "trnmod.cipmod.ffeih2"                      :null,
    "trnmod.cipmod.csfdz7"                      :null,
    "trnmod.cipmod.csfdz6"                      :null,
    "trnmod.cipmod.csfdz5"                      :null,
    "trnmod.cipmod.csfdz4"                      :null,
    "trnmod.cipmod.csfdz3"                      :null,
    "trnmod.cipmod.csfdz2"                      :null,
    "trnmod.cipmod.fuynh4"                      :null,
    "trnmod.cipmod.fuynh2"                      :null,
    "trnmod.cipmod.fuynh3"                      :null,
    "ccdgrp.blk.setins"                      :null,
    "trnmod.cipmod.cskrgj"                      :null,
    "trnmod.cipmod.recsehbch"                      :null,
    "trnmod.cipmod.cfkrzj"                      :null,
    "trnmod.cipmod.stasehbchnam"                      :null,
    "trnmod.cipmod.cfkzjh"                      :null,
    "trnmod.cipmod.zjg1hh"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

