import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"
export default class Cltset{
    constructor () {
        this.data = {
			liaall: new Pub().data.Liaall,
						cldgrp:{
							rec:{
								ownref:"",			//  Batch No.		.cldgrp.rec.ownref
								colref:"",			//  Coll.bank ref.		.cldgrp.rec.colref
								colptynam:"",			//  Coll.bank name		.cldgrp.rec.colptynam
								credat:"",			//  Date of creation		.cldgrp.rec.credat
								count:"",			//  Item Count		.cldgrp.rec.count
								chktyp:"",			//  Type of Draft		.cldgrp.rec.chktyp
								colflg:"",			//  Payemnt Disposition		.cldgrp.rec.colflg
							},
							cbs:{
								max:{
									cur:"",			//  Draft Amount		.cldgrp.cbs.max.cur
									amt:"",			//  Draft Amount		.cldgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.cldgrp.cbs.opn1.cur
									amt:"",			//  Open Amount		.cldgrp.cbs.opn1.amt
								},
							},
						},
						cltp0:{
							recget:{
								sdamod:{
									seainf:"",			//  		.cltp0.recget.sdamod.seainf
								},
							},
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							setfog:{
								setfol:[]
							},
							setfeg:{
								setfel:[]
							},
							glemod:{
								gleshwstm: {}
							},
						 
						},
						
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						pageId: ""			// ctx的key
				}
    }
}