import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Ditdck{
    constructor () {
        this.data = {
						bddgrp:{
							rec:{
								docflg:"",			//  单据类型		.bddgrp.rec.docflg
								rcvdat:"",			//  到单日期		.bddgrp.rec.rcvdat
								predat:"",			//  到单日期		.bddgrp.rec.predat
								matdat:"",			//  Maturity Date		.bddgrp.rec.matdat
								shpdat:"",			//  Date of Shipment		.bddgrp.rec.shpdat
								dscinsflg:"",			//  Enter Docs, Discrep. and Instructions		.bddgrp.rec.dscinsflg
								docprbrol:"",			//  单据类型		.bddgrp.rec.docprbrol
								docsta:"",			//  单据状态		.bddgrp.rec.docsta
								nam:"",			//  Name of Bill Contract		.bddgrp.rec.nam
								ownref:"",			//  单据参考号		.bddgrp.rec.ownref
								orddat:"",			//  通知日期		.bddgrp.rec.orddat
								stadat:"",			//  Start Date		.bddgrp.rec.stadat
								tenmaxday:"",			//  单据到期日		.bddgrp.rec.tenmaxday
								invtyp:"",			//  期限		.bddgrp.rec.invtyp
								igndisflg:"",			//  Ignore Discrepancies		.bddgrp.rec.igndisflg
								advtyp:"",			//  Type of Advice Received		.bddgrp.rec.advtyp
								totdat:"",			//  付款日期		.bddgrp.rec.totdat
								disdat:"",			//  不符点通知日期		.bddgrp.rec.disdat
								approvcod:"",			//  Documents on Approval Basis		.bddgrp.rec.approvcod
								relgodflg:"",			//  Release of Goods		.bddgrp.rec.relgodflg
								reltyp:"",			//  Release Type		.bddgrp.rec.reltyp
								relgoddat:"",			//  issue date		.bddgrp.rec.relgoddat
								expdat:"",			//  Expiry Date of Shipping Guarantee		.bddgrp.rec.expdat
								trpdoctyp:"",			//  Transport Doc. Type		.bddgrp.rec.trpdoctyp
								trpdocnum:"",			//  Transport Doc. No.		.bddgrp.rec.trpdocnum
								tradat:"",			//  shipment date		.bddgrp.rec.tradat
								tramod:"",			//  Mode of Transport		.bddgrp.rec.tramod
								rtoaplflg:"",			//  Release Goods to Applicant ?		.bddgrp.rec.rtoaplflg
								ngrcod:"",			//  Goods code		.bddgrp.rec.ngrcod
								blnum:"",			//  B/L Number		.bddgrp.rec.blnum
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.bddgrp.cbs.max.cur
									amt:"",			//  单据金额		.bddgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bddgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bddgrp.cbs.opn1.amt
								},
							},
							prb:{
								pts:new Pts().data,
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							skh:{
								pts:new Pts().data,
							},
							blk:{
								comcon:"",			//  Comments and Conclusions		.bddgrp.blk.comcon
								docdis:"",			//  Discrepancies		.bddgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.bddgrp.blk.docdisflg
								accrmk:"",			//  到期付款确认备注		.bddgrp.blk.accrmk
								vesnam:"",			//  Vessel Name		.bddgrp.blk.vesnam
								pordis:"",			//  Port of Discharge		.bddgrp.blk.pordis
								delplc:"",			//  Place of Delivery		.bddgrp.blk.delplc
								roggod:"",			//  Covered Goods		.bddgrp.blk.roggod
								relstoadr:"",			//  Release to Address		.bddgrp.blk.relstoadr
								porlod:"",			//  Port of loading		.bddgrp.blk.porlod
								voynum:"",			//  Voyage numer		.bddgrp.blk.voynum
								notpty:"",			//  Notify Party		.bddgrp.blk.notpty
								carnam:"",			//  Carrier		.bddgrp.blk.carnam
							},
							shp:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bddgrp.shp.namelc
								adrelc:"",			//  地址		.bddgrp.shp.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bddgrp.shp.dbfadrblkcn
							},
						},
						didgrp:{
							rec:{
								utlnbr:"",			//  Count of Received Document Sets		.didgrp.rec.utlnbr
								ownref:"",			//  信用证参考号		.didgrp.rec.ownref
								nam:"",			//  参考号		.didgrp.rec.nam
								avbby:"",			//  兑付方式		.didgrp.rec.avbby
								opndat:"",			//  开证日期		.didgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.didgrp.rec.shpdat
								expdat:"",			//  Date of Expiry		.didgrp.rec.expdat
								lcrtyp:"",			//  信用证类型		.didgrp.rec.lcrtyp
								expplc:"",			//  到期日/到期地点		.didgrp.rec.expplc
								inr:"",
							},
							apl:{
								pts:new Pts().data,
							},
							cbs:{
								nom1:{
									cur:"",			//  信用证金额		.didgrp.cbs.nom1.cur
									amt:"",			//  信用证金额		.didgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  Currency		.didgrp.cbs.opn1.cur
									amt:"",			//  Balance		.didgrp.cbs.opn1.amt
								},
							},
							avbnam:"",			//  指定银行		.didgrp.avbnam
						},
						bdtp:{
							didget:{
								sdamod:{
									seainf:"",			//  		.bdtp.didget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bdtp.didget.sdamod.dadsnd
								},
							},
							zchday:"",			//  最迟装运/服务提供日		.bdtp.zchday
							setnowflg:"",			//  Register to Send and Settle Document		.bdtp.setnowflg
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bdtp.recget.sdamod.dadsnd
									seainf:"",			//  		.bdtp.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.bdtp.matp.mattxtlab
							},
							docgrdm:{
								docgrd:[],			//  		.bdtp.docgrdm.docgrd
							},
							cre752flg:"",			//  Create 752		.bdtp.cre752flg
							furide:"",			//  Further Identification		.bdtp.furide
							cre732flg:"",			//  Create MT 732		.bdtp.cre732flg
							shpp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bdtp.shpp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bdtp.shpp.ptsget.sdamod.dadsnd
									},
								},
							},
							connum:"",			//  Contract Number		.bdtp.connum
						},
						zcdat:"",			//  装船日期/服务提供日		.zcdat
						trnmod:{
							swiadd:{
								orimsgid:"",			//  原报文标识号		.trnmod.swiadd.orimsgid
								oriinstgagt:"",			//  原发起直接参与机构		.trnmod.swiadd.oriinstgagt
								orimsgtyp:"",			//  原报文类型		.trnmod.swiadd.orimsgtyp
							},
							docimm:{
								ascin:"",			//  Message as stream		.trnmod.docimm.ascin
								prtswtrpblk:"",			//  XMLPanel prtswtrp的内置block		.trnmod.docimm.prtswtrpblk
								xmldocblk:"",			//  XMLPanel xmldoc的内置block		.trnmod.docimm.xmldocblk
								prtswtpblk:"",			//  XMLPanel prtswtp的内置block		.trnmod.docimm.prtswtpblk
							},
							trndia:{
								diarec:{
									cod:"",			//  Diary Reason		.trnmod.trndia.diarec.cod
									donflg:"",			//  Entry Done Nonspace = Entry Done		.trnmod.trndia.diarec.donflg
									dat:"",			//  Date of Diary		.trnmod.trndia.diarec.dat
									nam:"",			//  Description		.trnmod.trndia.diarec.nam
									inftxt:"",			//  Detailed Information		.trnmod.trndia.diarec.inftxt
									ownusg:"",			//  Resp. Group		.trnmod.trndia.diarec.ownusg
									usr:"",			//  Entered by		.trnmod.trndia.diarec.usr
									prechkdat:"",			//  预计核验日期		.trnmod.trndia.diarec.prechkdat
									ptynam:"",			//  pty name		.trnmod.trndia.diarec.ptynam
									ptyextkey:"",			//  pty extkey		.trnmod.trndia.diarec.ptyextkey
									paycur:"",			//  Pay CUR		.trnmod.trndia.diarec.paycur
									payamt:"",			//  付款币种		.trnmod.trndia.diarec.payamt
								},
								diamodflg:"",			//  used to define a codetable that to be show as status in Grid		.trnmod.trndia.diamodflg
								atp:{
									cod:"",			//  Start Transaction		.trnmod.trndia.atp.cod
								},
								atpget:{
									sdamod:{
										seainf:"",			//  		.trnmod.trndia.atpget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.trnmod.trndia.atpget.sdamod.dadsnd
									},
								},
								atptxt:"",			//  Application Transaction Profile Text		.trnmod.trndia.atptxt
								usr:{
									extkey:"",			//  Responsible User		.trnmod.trndia.usr.extkey
								},
								usrget:{
									sdamod:{
										seainf:"",			//  		.trnmod.trndia.usrget.sdamod.seainf
									},
								},
								dspstm:"",			//  Display Stream of Diaries		.trnmod.trndia.dspstm
							},
							trndoc:{
								doccur:{
									coverblk:"",			//  XMLPanel cover的内置block		.trnmod.trndoc.doccur.coverblk
								},
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doceot:[],
							},
						},
						mtabut:{
							syswrn:{
								dsp:"",			//  Display		.mtabut.syswrn.dsp
							},
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							liaccv:{
								newamt:"",			//  合同金额		.liaall.liaccv.newamt
								concur:"",			//  应付保证金金额		.liaall.liaccv.concur
								totcovamt:"",			//  金额总和		.liaall.liaccv.totcovamt
								newresamt:"",			//  Reserved Amount		.liaall.liaccv.newresamt
								addinf:"",			//  Additional Information 		.liaall.liaccv.addinf
								cshpct:"",			//  保证金应收比例		.liaall.liaccv.cshpct
								relcshpct:"",			//  保证金实收比例		.liaall.liaccv.relcshpct
								gleflg:"",			//  Create gle flag		.liaall.liaccv.gleflg
								chgcurflg:"",			//  Change currency flag		.liaall.liaccv.chgcurflg
								pctresamt:"",			//  reserve amount based percent		.liaall.liaccv.pctresamt
							},
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
								setgll:[]
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							setfog:{
								setfol:[]
							},
							setfeg:{
								setfel:[]
							},
							glemod:{
								gleshwstm: {}
							}
						},
						infcon:{
							objinr:"",
							chksubcon:"",

						},
						pageId: ""			// ctx的key
				}
    }
}