import Utils from "~/utils"

/**
* Infltd Check规则
*/
let checkObj = {
    "recpan.letp0.recget.sdamod.dadsnd"                      :null,
    "ltdgrp.avt.adrelc"                      :null,
    "ltdgrp.be2.pts.adrblk"                      :null,
    "recpan.be2p.ptsget.sdamod.dadsnd"                      :null,
    "ltdgrp.a2t.adrelc"                      :null,
    "recpan.avtp.ptsget.sdamod.dadsnd"                      :null,
    "ltdgrp.avt.namelc"                      :null,
    "ltdgrp.rec.stacty"                      :null,
    "ltdgrp.a2t.pts.extkey"                      :null,
    "recpan.recget.sdamod.dadsnd"                      :null,
    "ltdgrp.rec.opndat"                      :null,
    "ltdgrp.be2.pts.extkey"                      :null,
    "ltdgrp.rec.avbwth"                      :null,
    "ltdgrp.blk.feetxt"                      :null,
    "ltdgrp.be2.namelc"                      :null,
    "ltdgrp.rmt.adrelc"                      :null,
    "recpan.usr.extkey"                      :null,
    "ltdgrp.rec.avbby"                      :null,
    "ltdgrp.blk.preper"                      :null,
    "ltdgrp.rmt.namelc"                      :null,
    "recpan.adtp.ptsget.sdamod.dadsnd"                      :null,
    "ltdgrp.rmt.pts.extkey"                      :null,
    "ltdgrp.be2.adrelc"                      :null,
    "ltdgrp.blk.dftat"                      :null,
    "recpan.a2tp.ptsget.sdamod.dadsnd"                      :null,
    "recpan.drwp.ptsget.sdamod.dadsnd"                      :null,
    "recpan.rmtp.ptsget.sdamod.dadsnd"                      :null,
    "ltdgrp.adt.pts.adrblk"                      :null,
    "ltdgrp.rec.prepers18"                      :null,
    "recpan.conp.ptsget.sdamod.dadsnd"                      :null,
    "ltdgrp.be1.pts.nam"                      :null,
    "recpan.ledget.sdamod.dadsnd"                      :null,
    "infcon.seaamtto"                      :null,
    "ltdgrp.be1.pts.extkey"                      :null,
    "ltdgrp.avt.pts.extkey"                      :null,
    "ltdgrp.rec.apprultxt"                      :null,
    "ltdgrp.rmt.pts.adrblk"                      :null,
    "ltdgrp.avt.pts.adrblk"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "ltdgrp.a2t.pts.adrblk"                      :null,
    "ltdgrp.adt.pts.extkey"                      :null,
    "ltdgrp.blk.mixdet"                      :null,
    "ltdgrp.adt.namelc"                      :null,
    "ltdgrp.drw.adrelc"                      :null,
    "ltdgrp.con.adrelc"                      :null,
    "ltdgrp.rec.lcrtyp"                      :null,
    "ltdgrp.rec.apprul"                      :null,
    "ltdgrp.rec.tenmaxday"                      :null,
    "ltdgrp.drw.pts.extkey"                      :null,
    "ltdgrp.con.pts.extkey"                      :null,
    "ltdgrp.con.namelc"                      :null,
    "ltdgrp.blk.defdet"                      :null,
    "ltdgrp.adt.adrelc"                      :null,
    "ltdgrp.drw.namelc"                      :null,
    "ltdgrp.drw.pts.adrblk"                      :null,
    "ltdgrp.a2t.namelc"                      :null,
    "ltdgrp.con.pts.adrblk"                      :null,
    "recpan.be1p.ptsget.sdamod.dadsnd"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

